## gate.util
Class InvalidOffsetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.util.InvalidOffsetException

All Implemented Interfaces:
  Serializable

public class InvalidOffsetException
extends GateException

Used to signal an attempt to create a node with an invalid offset. An invalid offset is a negative value, or an offset bigger than the document size, or a start greater than an end.

See Also:
  Serialized Form

Constructor Summary
`InvalidOffsetException()`
`InvalidOffsetException(String s)`

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOffsetException

    public InvalidOffsetException()

### InvalidOffsetException

    public InvalidOffsetException(String s)